Skip to main content
POST
/
api2
/
v2
/
transMemories
/
{transMemoryUid}
/
align
Align translation memory
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/transMemories/{transMemoryUid}/align \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'targetLang=<string>' \
  --form sourceFile='@example-file' \
  --form targetFile='@example-file' \
  --form archiveFile='@example-file' \
  --form 'segRuleSourceUid=<string>' \
  --form 'segRuleTargetUid=<string>'

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Body

multipart/form-data
targetLang
string
required

Target language code (e.g. de, fr-FR)

sourceFile
file

Source language file to align. Required unless archiveFile is provided

targetFile
file

Target language file to align. Required when sourceFile is provided; must be omitted when archiveFile is provided

archiveFile
file

.zip archive containing paired source and target files. Mutually exclusive with sourceFile / targetFile

segRuleSourceUid
string

UID of the segmentation rule to apply to the source file

segRuleTargetUid
string

UID of the segmentation rule to apply to the target file

Response

Aligned XLSX file